<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <title>Patient</title>
</head>
<body>
<div class="container">
    <h1 class="display-3">Modify a patient</h1>
    <div class="card">
        <div class="card-header">
            Modify a patient
        </div>
        <div class="card-body">
            <form class="needs-validation" novalidate method="post" role="form" th:action="@{/updatePatient/{id}(id=${patient.id})}" th:object="${patient}">
                <div class="row mb-3">
                    <label class="col-sm-2 col-form-label" for="last-name-input">Last Name</label>
                    <div class="col-sm-10">
                        <input class="form-control" type="text" name="lastName" id="last-name-input" required th:field="*{lastName}">
                        <div class="invalid-feedback">Please choose a last name</div>
                    </div>
                </div>

                <div class="row mb-3">
                    <label class="col-sm-2 col-form-label" for="first-name-input">First Name</label>
                    <div class="col-sm-10">
                        <input class="form-control" type="text" name="firstName" id="first-name-input" required th:field="*{firstName}">
                        <div class="invalid-feedback">Please choose a first name</div>
                    </div>
                </div>

                <div class="row mb-3">
                    <label class="col-sm-2 col-form-label" for="date-of-birth-input">Date of birth</label>
                    <div class="col-sm-10">
                        <input class="form-control" type="date" name="dateOfBirth" id="date-of-birth-input" required th:field="*{dateOfBirth}">
                        <div class="invalid-feedback">Please choose a date of birth</div>
                    </div>
                </div>

                <fieldset class="row mb-3">
                    <legend class="col-form-label col-sm-2 pt-0">Gender</legend>
                    <div class="col-sm-10">
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="gender" value="F" id="f-gender-radio" required th:field="*{gender}">
                            <label class="form-check-label" for="f-gender-radio">F</label>
                        </div>

                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="gender" value="M" id="m-gender-radio" required th:field="*{gender}">
                            <label class="form-check-label" for="m-gender-radio">M</label>
                        </div>
                        <div class="invalid-feedback">Please choose a gender</div>
                    </div>
                </fieldset>

                <div class="row mb-3">
                    <label class="col-sm-2 col-form-label">Address</label>
                    <div class="col-sm-10">
                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="address-number-input">Number</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="text" name="addressNumber" id="address-number-input" th:field="*{addressNumber}">
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label class="col-sm-2 col-form-label" for="address-street-input">Street</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="text" name="addressStreet" id="address-street-input" required th:field="*{addressStreet}">
                                <div class="invalid-feedback">Please choose a street name</div>
                            </div>
                        </div>

                    </div>

                </div>

                <div class="row mb-3">
                    <label class="col-sm-2 col-form-label" for="phone-number-input">Phone number</label>
                    <div class="col-sm-10">
                        <input class="form-control" type="text" name="phoneNumber" id="phone-number-input" th:field="*{phoneNumber}">
                    </div>
                </div>

                <button type="submit" class="btn btn-primary">Update</button>
                <a type="button" class="btn btn-outline-danger" th:href="@{/patients}">Cancel</a>
            </form>
        </div>
    </div>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
<script type="text/javascript" th:src="@{/cssandjs/validation.js}"></script>
</body>
</html>